import { defineComponent as s, computed as e, openBlock as i, createBlock as u, unref as t, normalizeProps as p, guardReactiveProps as m, withCtx as d, createVNode as f } from "vue";
import "../../confirm-button/index.mjs";
import "../../count-down-button/index.mjs";
import "../../ellipsis/index.mjs";
import "../../rich-text-editor/index.mjs";
import "../index.mjs";
import { WetProFormItem as P } from "../../pro-form/index.mjs";
import "../../pro-table/index.mjs";
import "../../pro-descriptions/index.mjs";
import "../../layout/index.mjs";
import "../../page/index.mjs";
import "../../guide/index.mjs";
import { ElCascader as h } from "element-plus";
import { wetProFormItemProps as _ } from "../../pro-form/src/types.mjs";
const N = /* @__PURE__ */ s({
  name: "WetFormCascader",
  __name: "cascader",
  props: {
    ..._,
    placeholder: String,
    formInputProps: {
      type: Object
    }
  },
  setup(a) {
    const r = a, c = e(() => {
      const o = { ...r };
      return delete o.formInputProps, o;
    }), l = e(() => r.placeholder ? r.placeholder : `请选择${r.label}`);
    return (o, I) => (i(), u(t(P), p(m(c.value)), {
      default: d(({ modelValue: n }) => [
        f(t(h), p(m({
          ...n,
          placeholder: l.value,
          ...r.formInputProps
        })), null, 16)
      ]),
      _: 1
    }, 16));
  }
});
export {
  N as default
};
